[Gpg4win-commits] [git] Gpg4win - branch, gpg4win-2, updated. gpg4win-2.3.2-5-g7dd0ddb

by Andre Heinecke cvs at cvs.gnupg.org
Wed Aug 17 11:43:24 CEST 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, gpg4win-2 has been updated
       via  7dd0ddb4fb5e799c960d6490f773c6a74ca3750b (commit)
       via  f97a0ac3e321cdd27b3e40b42c0783038cb510d5 (commit)
      from  25d426b94e457f77e96ff981d60edd91b31b0fff (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 7dd0ddb4fb5e799c960d6490f773c6a74ca3750b
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Thu Aug 11 15:51:45 2016 +0200

    Add patches to fix Gpg(Ex/Ol) UiServer start
    
    * Makefile.am (EXTRA_DIST): Add patches.
    * patches/gpgex-1.0.4/
    0002-Fix-loop-logic-error-in-new-server-name-detection.patch: New.
    * patches/gpgol-1.4.0/
    0003-Fix-loop-logic-error-in-new-server-name-detection.patch: New.
    
    (cherry picked from commit 153f313cb7d3c9fd206e0d91b91ed7481794a375)
    
    Conflicts:
    	Makefile.am

diff --git a/Makefile.am b/Makefile.am
index 6ebb285..266789a 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -50,8 +50,10 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
 		patches/scute-1.4.0/workaround-broken-libtool.patch \
 		patches/libassuan-2.4.0/0001-Fix-windows-build-with-mingw-w64-2.0.x.patch \
         patches/gpgex-1.0.4/0001-Prefer-kleowrapped-gpgwrapped-binaries.patch \
+        patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch \
         patches/gpgol-1.4.0/0001-Fix-UI-Server-startup.patch \
         patches/gpgol-1.4.0/0002-Ignore-sent-S-MIME-Mails-if-S-MIME-is-disabled.patch \
+        patches/gpgol-1.4.0/0003-Fix-loop-logic-error-in-new-server-name-detection.patch \
         patches/libgpg-error-1.23/0001-Define-EWOULDBLOCK-in-case-it-is-not-defined.patch
 
 copy-news:
diff --git a/patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch b/patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch
new file mode 100755
index 0000000..66d2484
--- /dev/null
+++ b/patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch
@@ -0,0 +1,50 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+From 3dddfb2546b839e104286767f504e456ae91df45 Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke at intevation.de>
+Date: Thu, 11 Aug 2016 15:45:49 +0200
+Subject: [PATCH] Fix loop logic error in new server name detection
+
+* src/client.cc (default_uiserver_cmdline): Iterate over server_names
+array and not over the first server name itself.
+---
+ src/client.cc | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/src/client.cc b/src/client.cc
+index 6f27175..ccfa0ac 100644
+--- a/src/client.cc
++++ b/src/client.cc
+@@ -108,7 +108,7 @@ default_uiserver_cmdline (void)
+     }
+ #else /*!ENABLE_GPA_ONLY*/
+     {
+-      const char *dir, *tmp;
++      const char *dir, **tmp;
+       char *uiserver, *p;
+       int extra_arglen = 9;
+       const char * server_names[] = {"kleopatra.exe",
+@@ -163,16 +163,16 @@ default_uiserver_cmdline (void)
+           return name;
+         }
+       /* Fallbacks */
+-      for (tmp = *server_names; *tmp; tmp++)
++      for (tmp = server_names; *tmp; tmp++)
+         {
+           if (name)
+             {
+               free (name);
+             }
+-          name = (char*) malloc (strlen (dir) + strlen (tmp) + extra_arglen + 2);
++          name = (char*) malloc (strlen (dir) + strlen (*tmp) + extra_arglen + 2);
+           if (!name)
+             return NULL;
+-          strcpy (stpcpy (stpcpy (name, dir), "\\"), tmp);
++          strcpy (stpcpy (stpcpy (name, dir), "\\"), *tmp);
+           for (p = name; *p; p++)
+             if (*p == '/')
+               *p = '\\';
+--
+2.1.4
diff --git a/patches/gpgol-1.4.0/0003-Fix-loop-logic-error-in-new-server-name-detection.patch b/patches/gpgol-1.4.0/0003-Fix-loop-logic-error-in-new-server-name-detection.patch
new file mode 100755
index 0000000..46cdb8d
--- /dev/null
+++ b/patches/gpgol-1.4.0/0003-Fix-loop-logic-error-in-new-server-name-detection.patch
@@ -0,0 +1,47 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+From c8cdb4c9a9bb590b8785b483cf71657e20e0b92d Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke at intevation.de>
+Date: Thu, 11 Aug 2016 15:59:57 +0200
+Subject: [PATCH] Fix loop logic error in new server name detection
+
+* src/engine-assuan.c (get_uiserver_name): Fix name loop.
+---
+ src/engine-assuan.c | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/src/engine-assuan.c b/src/engine-assuan.c
+index 32dbae8..c60713b 100644
+--- a/src/engine-assuan.c
++++ b/src/engine-assuan.c
+@@ -353,7 +353,7 @@ get_uiserver_name (void)
+                                  "gpa.exe",
+                                  "bin\\gpa.exe",
+                                  NULL};
+-  const char *tmp = NULL;
++  const char **tmp = NULL;
+
+   dir = get_gpg4win_dir ();
+   if (!dir)
+@@ -384,14 +384,14 @@ get_uiserver_name (void)
+       return name;
+     }
+   /* Fallbacks */
+-  for (tmp = *server_names; *tmp; tmp++)
++  for (tmp = server_names; *tmp; tmp++)
+     {
+       if (name)
+         {
+           xfree (name);
+         }
+-      name = xmalloc (strlen (dir) + strlen (tmp) + extra_arglen + 2);
+-      strcpy (stpcpy (stpcpy (name, dir), "\\"), tmp);
++      name = xmalloc (strlen (dir) + strlen (*tmp) + extra_arglen + 2);
++      strcpy (stpcpy (stpcpy (name, dir), "\\"), *tmp);
+       for (p = name; *p; p++)
+         if (*p == '/')
+           *p = '\\';
+--
+2.1.4

commit f97a0ac3e321cdd27b3e40b42c0783038cb510d5
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed Aug 17 11:37:10 2016 +0200

    Update curl
    
    --

diff --git a/packages/packages.current b/packages/packages.current
index 3e3e8a0..af53b79 100644
--- a/packages/packages.current
+++ b/packages/packages.current
@@ -58,10 +58,10 @@ chk dfa67a7e40727eb0913e75f3c44911d5d8cd58d1ead5acfe73dd933fc0d17ed2
 
 server http://curl.haxx.se/download
 
-# checked: 2015-06-05 ah - updated
-# verified with key 914C 533D F9B2 ADA2 204F  586D 78E1 1C6B 279D 5C91
-file  curl-7.42.1.tar.bz2
-chk   e2905973391ec2dfd7743a8034ad10eeb58dab8b3a297e7892a41a7999cac887
+# checked: 2015-08-17 ah - updated
+# verified with key 27ED EAF2 2F3A BCEB 50DB  9A12 5CC9 08FD B71E 12C2
+file  curl-7.50.1.tar.gz
+chk   3e392cf600822b817be82d9080b377fcbab70538d5a8bf525a1cd66e157b99ea
 
 #
 # GLIB

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                        |  2 +
 packages/packages.current                          |  8 ++--
 ...-logic-error-in-new-server-name-detection.patch | 50 ++++++++++++++++++++++
 ...-logic-error-in-new-server-name-detection.patch | 47 ++++++++++++++++++++
 4 files changed, 103 insertions(+), 4 deletions(-)
 create mode 100755 patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch
 create mode 100755 patches/gpgol-1.4.0/0003-Fix-loop-logic-error-in-new-server-name-detection.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list